package com.fs.watch.mapper;

import java.util.List;
import com.fs.watch.domain.WatchSendMsgSet;

/**
 * 腕表消息提醒发送时间限制Mapper接口
 *
 * @author fs
 * @date 2024-11-29
 */
public interface WatchSendMsgSetMapper
{
    /**
     * 查询腕表消息提醒发送时间限制
     *
     * @param id 腕表消息提醒发送时间限制主键
     * @return 腕表消息提醒发送时间限制
     */
    public WatchSendMsgSet selectWatchSendMsgSetById(Integer id);

    /**
     * 查询腕表消息提醒发送时间限制列表
     *
     * @param watchSendMsgSet 腕表消息提醒发送时间限制
     * @return 腕表消息提醒发送时间限制集合
     */
    public List<WatchSendMsgSet> selectWatchSendMsgSetList(WatchSendMsgSet watchSendMsgSet);

    /**
     * 新增腕表消息提醒发送时间限制
     *
     * @param watchSendMsgSet 腕表消息提醒发送时间限制
     * @return 结果
     */
    public int insertWatchSendMsgSet(WatchSendMsgSet watchSendMsgSet);

    /**
     * 修改腕表消息提醒发送时间限制
     *
     * @param watchSendMsgSet 腕表消息提醒发送时间限制
     * @return 结果
     */
    public int updateWatchSendMsgSetByType(WatchSendMsgSet watchSendMsgSet);

    /**
     * 删除腕表消息提醒发送时间限制
     *
     * @param id 腕表消息提醒发送时间限制主键
     * @return 结果
     */
    public int deleteWatchSendMsgSetById(Integer id);

    /**
     * 批量删除腕表消息提醒发送时间限制
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWatchSendMsgSetByIds(Integer[] ids);

    WatchSendMsgSet selectWatchSendMsgSetByType(String type);
}
